<?php

/**
 * @File
 * Array of providers.
 */

// The provider list has been copied from WordPress.
// Add to the list of oEmbed providers.
$providers = array(
  '#https?://(www\.)?youtube\.com/watch.*#i'            => array( 'https://www.youtube.com/oembed',                     true  ),
  '#https?://youtu\.be/.*#i'                            => array( 'https://www.youtube.com/oembed',                     true  ),
  'http://blip\.tv/*'                                   => array( 'http://blip.tv/oembed/',                             false ),
  '#https?://(www\.)?vimeo\.com/.*#i'                   => array( 'https://vimeo.com/api/oembed.json',                  true  ),
  '#http://(www\.)?dailymotion\.com/.*#i'               => array( 'https://www.dailymotion.com/services/oembed',        true  ),
  '#http://(www\.)?flickr\.com/.*#i'                    => array( 'https://www.flickr.com/services/oembed/',            true  ),
  '#http://(.+\.)?smugmug\.com/.*#i'                    => array( 'https://api.smugmug.com/services/oembed/',           true  ),
  '#http://(www\.)?hulu\.com/watch/.*#i'                => array( 'https://www.hulu.com/api/oembed.json',               true  ),
  '#http://(www\.)?viddler\.com/.*#i'                   => array( 'https://www.viddler.com/oembed/',                    true  ),
  'http://qik\.com/*'                                   => array( 'http://qik.com/api/oembed.json',                     false ),
  'http://revision3\.com/*'                             => array( 'https://www.seeker.com/api/oembed/',                 false ),
  'http://i*.photobucket\.com/albums/*'                 => array( 'https://app.photobucket.com/oembed',                 false ),
  'http://gi*.photobucket\.com/groups/*'                => array( 'https://app.photobucket.com/oembed',                 false ),
  '#http://(www\.)?scribd\.com/.*#i'                    => array( 'https://www.scribd.com/services/oembed',             true  ),
  'http://wordpress\.tv/*'                              => array( 'https://wordpress.tv/oembed/',                       false ),
  '#http://(.+\.)?polldaddy\.com/.*#i'                  => array( 'https://polldaddy.com/oembed/',                      true  ),
  '#http://(www\.)?funnyordie\.com/videos/.*#i'         => array( 'https://www.funnyordie.com/oembed',                  true  ),
  '#https?://(www\.)?twitter\.com/.+?/status(es)?/.*#i' => array( 'https://api.twitter.com/1/statuses/oembed.json',     true  ),
  '#http://(www\.)?slideshare\.net/.*#i'                => array( 'https://www.slideshare.net/api/oembed/2',            true  ),
  '#https?://(www\.)?instagram\.com/p/.*#i'             => array( 'https://api.instagram.com/oembed',                   true  ),
  '#https?://(www\.)?facebook.com/.+?/(posts|activity|photos)/.*#i'
                                                       => array( 'https://www.facebook.com/plugins/post/oembed.json/', true ),
  '#https?://(www\.)?facebook.com/.+?/videos/.*#i'     => array( 'https://www.facebook.com/plugins/video/oembed.json/', true),

  // These do not provide oEmbed, so locally support using recognizable pattern of HTML to embed.
  '#https?://maps\.google\.com/maps.*#i'                    => array('google-maps', 'LOCAL'),
  '#https?://docs\.google\.com/(document|spreadsheet)/.*#i' => array('google-docs', 'LOCAL'), // Support document and spreadsheet
);
